DPDK patches and discussions
 help / color / mirror / Atom feed
* [dpdk-dev] [PATCH] devtools: allow to skip some build tests
@ 2021-05-03 14:46 Thomas Monjalon
  2021-08-08 11:32 ` Thomas Monjalon
  0 siblings, 1 reply; 2+ messages in thread
From: Thomas Monjalon @ 2021-05-03 14:46 UTC (permalink / raw)
  To: dev; +Cc: Bruce Richardson

Inserting "return 1" in .develconfig file will allow to skip
some build tests based on $DPDK_TARGET or other parameters.

Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
---
 devtools/test-meson-builds.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/devtools/test-meson-builds.sh b/devtools/test-meson-builds.sh
index daf817ac3e..d68d0e356e 100755
--- a/devtools/test-meson-builds.sh
+++ b/devtools/test-meson-builds.sh
@@ -87,7 +87,7 @@ load_env () # <target compiler>
 	fi
 	echo "Using DPDK_TARGET $DPDK_TARGET" >&$verbose
 	# config input: $DPDK_TARGET
-	. $srcdir/devtools/load-devel-config
+	. $srcdir/devtools/load-devel-config || return 1
 	# config output: $DPDK_MESON_OPTIONS, $PATH, $PKG_CONFIG_PATH, etc
 	command -v $targetcc >/dev/null 2>&1 || return 1
 }
-- 
2.31.1


^ permalink raw reply	[flat|nested] 2+ messages in thread

* Re: [dpdk-dev] [PATCH] devtools: allow to skip some build tests
  2021-05-03 14:46 [dpdk-dev] [PATCH] devtools: allow to skip some build tests Thomas Monjalon
@ 2021-08-08 11:32 ` Thomas Monjalon
  0 siblings, 0 replies; 2+ messages in thread
From: Thomas Monjalon @ 2021-08-08 11:32 UTC (permalink / raw)
  To: dev; +Cc: Bruce Richardson, david.marchand

03/05/2021 16:46, Thomas Monjalon:
> Inserting "return 1" in .develconfig file will allow to skip
> some build tests based on $DPDK_TARGET or other parameters.
> 
> Signed-off-by: Thomas Monjalon <thomas@monjalon.net>
> ---
> @@ -87,7 +87,7 @@ load_env () # <target compiler>
>  	fi
>  	echo "Using DPDK_TARGET $DPDK_TARGET" >&$verbose
>  	# config input: $DPDK_TARGET
> -	. $srcdir/devtools/load-devel-config
> +	. $srcdir/devtools/load-devel-config || return 1
>  	# config output: $DPDK_MESON_OPTIONS, $PATH, $PKG_CONFIG_PATH, etc
>  	command -v $targetcc >/dev/null 2>&1 || return 1
>  }

This technique does not work,
and it is possible to skip a build test
by inserting targetcc=SKIP in the development config file.



^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2021-08-08 11:32 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-05-03 14:46 [dpdk-dev] [PATCH] devtools: allow to skip some build tests Thomas Monjalon
2021-08-08 11:32 ` Thomas Monjalon

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).